Index: linux-kj/drivers/scsi/FlashPoint.c
===================================================================
--- linux-kj.orig/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
+++ linux-kj/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
@@ -3144,140 +2944,144 @@ static void FPT_sdecm(unsigned char mess
 
 	}
 
-	else if ((message == SMNO_OP) || (message >= SMIDENT) 
-			|| (message == SMINIT_RECOVERY) || (message == SMREL_RECOVERY))
-	{
+	else if ((message == SMNO_OP) || (message >= SMIDENT)
+		 || (message == SMINIT_RECOVERY) || (message == SMREL_RECOVERY)) {
 
 		ACCEPT_MSG(port);
-		WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+		WR_HARPOON(port + hp_autostart_1,
+			   (AUTO_IMMED + DISCONNECT_START));
 	}
 
-	else if (message == SMREJECT)
-	{
+	else if (message == SMREJECT) {
 
 		if ((currSCCB->Sccb_scsistat == SELECT_SN_ST) ||
-				(currSCCB->Sccb_scsistat == SELECT_WN_ST) ||
-				((currTar_Info->TarStatus & TAR_SYNC_MASK) == SYNC_TRYING ) ||
-				((currTar_Info->TarStatus & TAR_TAG_Q_MASK) == TAG_Q_TRYING ) )
-
+		    (currSCCB->Sccb_scsistat == SELECT_WN_ST) ||
+		    ((currTar_Info->TarStatus & TAR_SYNC_MASK) == SYNC_TRYING)
+		    || ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) ==
+			TAG_Q_TRYING))
 		{
-			WRW_HARPOON((port+hp_intstat), BUS_FREE);
+			WRW_HARPOON((port + hp_intstat), BUS_FREE);
 
 			ACCEPT_MSG(port);
 
-
-			while ((!(RD_HARPOON(port+hp_scsisig) & SCSI_REQ)) &&
-				(!(RDW_HARPOON((port+hp_intstat)) & BUS_FREE))) {}
-
-			if(currSCCB->Lun == 0x00)
+			while ((!(RD_HARPOON(port + hp_scsisig) & SCSI_REQ)) &&
+			       (!(RDW_HARPOON((port + hp_intstat)) & BUS_FREE)))
 			{
-				if ((currSCCB->Sccb_scsistat == SELECT_SN_ST))
-				{
+			}
 
-					currTar_Info->TarStatus |= (unsigned char)SYNC_SUPPORTED;
+			if (currSCCB->Lun == 0x00) {
+				if ((currSCCB->Sccb_scsistat == SELECT_SN_ST)) {
 
-					currTar_Info->TarEEValue &= ~EE_SYNC_MASK;
-				}
+					currTar_Info->TarStatus |=
+					    (unsigned char)SYNC_SUPPORTED;
 
-				else if ((currSCCB->Sccb_scsistat == SELECT_WN_ST))
-				{
+					currTar_Info->TarEEValue &=
+					    ~EE_SYNC_MASK;
+				}
 
+				else if ((currSCCB->Sccb_scsistat ==
+					  SELECT_WN_ST)) {
 
-					currTar_Info->TarStatus = (currTar_Info->TarStatus &
-													~WIDE_ENABLED) | WIDE_NEGOCIATED;
+					currTar_Info->TarStatus =
+					    (currTar_Info->
+					     TarStatus & ~WIDE_ENABLED) |
+					    WIDE_NEGOCIATED;
 
-					currTar_Info->TarEEValue &= ~EE_WIDE_SCSI;
+					currTar_Info->TarEEValue &=
+					    ~EE_WIDE_SCSI;
 
 				}
 
-				else if ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) == TAG_Q_TRYING )
-				{
-					currTar_Info->TarStatus = (currTar_Info->TarStatus &
-													~(unsigned char)TAR_TAG_Q_MASK) | TAG_Q_REJECT;
-
+				else if ((currTar_Info->
+					  TarStatus & TAR_TAG_Q_MASK) ==
+					 TAG_Q_TRYING) {
+					currTar_Info->TarStatus =
+					    (currTar_Info->
+					     TarStatus & ~(unsigned char)
+					     TAR_TAG_Q_MASK) | TAG_Q_REJECT;
 
 					currSCCB->ControlByte &= ~F_USE_CMD_Q;
 					CurrCard->discQCount--;
-					CurrCard->discQ_Tbl[currSCCB->Sccb_tag] = NULL;
+					CurrCard->discQ_Tbl[currSCCB->
+							    Sccb_tag] = NULL;
 					currSCCB->Sccb_tag = 0x00;
 
 				}
 			}
 
-			if (RDW_HARPOON((port+hp_intstat)) & BUS_FREE)
-			{
-
+			if (RDW_HARPOON((port + hp_intstat)) & BUS_FREE) {
 
-				if(currSCCB->Lun == 0x00)
-				{
-					WRW_HARPOON((port+hp_intstat), BUS_FREE);
+				if (currSCCB->Lun == 0x00) {
+					WRW_HARPOON((port + hp_intstat),
+						    BUS_FREE);
 					CurrCard->globalFlags |= F_NEW_SCCB_CMD;
 				}
 			}
 
-			else 
-			{
+			else {
 
-				if((CurrCard->globalFlags & F_CONLUN_IO) &&
-					((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING))
-					currTar_Info->TarLUNBusy[currSCCB->Lun] = 1;
+				if ((CurrCard->globalFlags & F_CONLUN_IO) &&
+				    ((currTar_Info->
+				      TarStatus & TAR_TAG_Q_MASK) !=
+				     TAG_Q_TRYING))
+					currTar_Info->TarLUNBusy[currSCCB->
+								 Lun] = 1;
 				else
 					currTar_Info->TarLUNBusy[0] = 1;
 
+				currSCCB->ControlByte &=
+				    ~(unsigned char)F_USE_CMD_Q;
 
-				currSCCB->ControlByte &= ~(unsigned char)F_USE_CMD_Q;
-
-				WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+				WR_HARPOON(port + hp_autostart_1,
+					   (AUTO_IMMED + DISCONNECT_START));
 
 			}
 		}
 
-		else
-		{
+		else {
 			ACCEPT_MSG(port);
 
-			while ((!(RD_HARPOON(port+hp_scsisig) & SCSI_REQ)) &&
-				(!(RDW_HARPOON((port+hp_intstat)) & BUS_FREE))) {}
-	
-			if (!(RDW_HARPOON((port+hp_intstat)) & BUS_FREE))
+			while ((!(RD_HARPOON(port + hp_scsisig) & SCSI_REQ)) &&
+			       (!(RDW_HARPOON((port + hp_intstat)) & BUS_FREE)))
 			{
-				WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+			}
+
+			if (!(RDW_HARPOON((port + hp_intstat)) & BUS_FREE)) {
+				WR_HARPOON(port + hp_autostart_1,
+					   (AUTO_IMMED + DISCONNECT_START));
 			}
 		}
 	}
 
-	else if (message == SMEXT)
-	{
+	else if (message == SMEXT) {
 
 		ACCEPT_MSG(port);
-		FPT_shandem(port,p_card,currSCCB);
+		FPT_shandem(port, p_card, currSCCB);
 	}
 
-	else if (message == SMIGNORWR)
-	{
+	else if (message == SMIGNORWR) {
 
-		ACCEPT_MSG(port);          /* ACK the RESIDUE MSG */
+		ACCEPT_MSG(port);	/* ACK the RESIDUE MSG */
 
-		message = FPT_sfm(port,currSCCB);
+		message = FPT_sfm(port, currSCCB);
 
-		if(currSCCB->Sccb_scsimsg != SMPARITY)
+		if (currSCCB->Sccb_scsimsg != SMPARITY)
 			ACCEPT_MSG(port);
-		WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+		WR_HARPOON(port + hp_autostart_1,
+			   (AUTO_IMMED + DISCONNECT_START));
 	}
 
-
-	else
-	{
+	else {
 
 		currSCCB->HostStatus = SCCB_PHASE_SEQUENCE_FAIL;
 		currSCCB->Sccb_scsimsg = SMREJECT;
 
 		ACCEPT_MSG_ATN(port);
-		WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+		WR_HARPOON(port + hp_autostart_1,
+			   (AUTO_IMMED + DISCONNECT_START));
 	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_shandem
@@ -3285,76 +3089,65 @@ static void FPT_sdecm(unsigned char mess
  * Description: Decide what to do with the extended message.
  *
  *---------------------------------------------------------------------*/
-static void FPT_shandem(unsigned long port, unsigned char p_card, struct sccb * pCurrSCCB)
+static void FPT_shandem(unsigned long port, unsigned char p_card,
+			struct sccb *pCurrSCCB)
 {
-	unsigned char length,message;
+	unsigned char length, message;
 
-	length = FPT_sfm(port,pCurrSCCB);
-	if (length) 
-	{
+	length = FPT_sfm(port, pCurrSCCB);
+	if (length) {
 
 		ACCEPT_MSG(port);
-		message = FPT_sfm(port,pCurrSCCB);
-		if (message) 
-		{
+		message = FPT_sfm(port, pCurrSCCB);
+		if (message) {
 
-			if (message == SMSYNC) 
-			{
+			if (message == SMSYNC) {
 
-				if (length == 0x03)
-				{
+				if (length == 0x03) {
 
 					ACCEPT_MSG(port);
-					FPT_stsyncn(port,p_card);
-				}
-				else 
-				{
+					FPT_stsyncn(port, p_card);
+				} else {
 
 					pCurrSCCB->Sccb_scsimsg = SMREJECT;
 					ACCEPT_MSG_ATN(port);
 				}
-			}
-			else if (message == SMWDTR) 
-			{
+			} else if (message == SMWDTR) {
 
-				if (length == 0x02)
-				{
+				if (length == 0x02) {
 
 					ACCEPT_MSG(port);
-					FPT_stwidn(port,p_card);
-				}
-				else 
-				{
+					FPT_stwidn(port, p_card);
+				} else {
 
 					pCurrSCCB->Sccb_scsimsg = SMREJECT;
 					ACCEPT_MSG_ATN(port);
 
-					WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+					WR_HARPOON(port + hp_autostart_1,
+						   (AUTO_IMMED +
+						    DISCONNECT_START));
 				}
-			}
-			else 
-			{
+			} else {
 
 				pCurrSCCB->Sccb_scsimsg = SMREJECT;
 				ACCEPT_MSG_ATN(port);
 
-				WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+				WR_HARPOON(port + hp_autostart_1,
+					   (AUTO_IMMED + DISCONNECT_START));
 			}
-		}
-		else
-		{
-			if(pCurrSCCB->Sccb_scsimsg != SMPARITY)
+		} else {
+			if (pCurrSCCB->Sccb_scsimsg != SMPARITY)
 				ACCEPT_MSG(port);
-			WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+			WR_HARPOON(port + hp_autostart_1,
+				   (AUTO_IMMED + DISCONNECT_START));
 		}
-	}else
-	{
-			if(pCurrSCCB->Sccb_scsimsg == SMPARITY)
-				WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+	} else {
+		if (pCurrSCCB->Sccb_scsimsg == SMPARITY)
+			WR_HARPOON(port + hp_autostart_1,
+				   (AUTO_IMMED + DISCONNECT_START));
 	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_sisyncn
@@ -3364,73 +3157,79 @@ static void FPT_shandem(unsigned long po
  *
  *---------------------------------------------------------------------*/
 
-static unsigned char FPT_sisyncn(unsigned long port, unsigned char p_card, unsigned char syncFlag)
+static unsigned char FPT_sisyncn(unsigned long port, unsigned char p_card,
+				 unsigned char syncFlag)
 {
-   struct sccb * currSCCB;
-   struct sccb_mgr_tar_info * currTar_Info;
-
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
-   currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
-
-   if (!((currTar_Info->TarStatus & TAR_SYNC_MASK) == SYNC_TRYING)) {
-
-
-      WRW_HARPOON((port+ID_MSG_STRT),
-                 (MPM_OP+AMSG_OUT+(currSCCB->Sccb_idmsg & ~(unsigned char)DISC_PRIV)));
-
-      WRW_HARPOON((port+ID_MSG_STRT+2),BRH_OP+ALWAYS+CMDPZ);
-
-      WRW_HARPOON((port+SYNC_MSGS+0), (MPM_OP+AMSG_OUT+SMEXT ));
-      WRW_HARPOON((port+SYNC_MSGS+2), (MPM_OP+AMSG_OUT+0x03  ));
-      WRW_HARPOON((port+SYNC_MSGS+4), (MPM_OP+AMSG_OUT+SMSYNC));
+	struct sccb *currSCCB;
+	struct sccb_mgr_tar_info *currTar_Info;
 
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
+	currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
 
-      if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_20MB)
+	if (!((currTar_Info->TarStatus & TAR_SYNC_MASK) == SYNC_TRYING)) {
 
-	 WRW_HARPOON((port+SYNC_MSGS+6), (MPM_OP+AMSG_OUT+ 12));
+		WRW_HARPOON((port + ID_MSG_STRT),
+			    (MPM_OP + AMSG_OUT +
+			     (currSCCB->
+			      Sccb_idmsg & ~(unsigned char)DISC_PRIV)));
 
-      else if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_10MB)
+		WRW_HARPOON((port + ID_MSG_STRT + 2), BRH_OP + ALWAYS + CMDPZ);
 
-	 WRW_HARPOON((port+SYNC_MSGS+6), (MPM_OP+AMSG_OUT+ 25));
+		WRW_HARPOON((port + SYNC_MSGS + 0),
+			    (MPM_OP + AMSG_OUT + SMEXT));
+		WRW_HARPOON((port + SYNC_MSGS + 2), (MPM_OP + AMSG_OUT + 0x03));
+		WRW_HARPOON((port + SYNC_MSGS + 4),
+			    (MPM_OP + AMSG_OUT + SMSYNC));
 
-      else if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_5MB)
+		if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_20MB)
 
-	 WRW_HARPOON((port+SYNC_MSGS+6), (MPM_OP+AMSG_OUT+ 50));
+			WRW_HARPOON((port + SYNC_MSGS + 6),
+				    (MPM_OP + AMSG_OUT + 12));
 
-      else
-	 WRW_HARPOON((port+SYNC_MSGS+6), (MPM_OP+AMSG_OUT+ 00));
+		else if ((currTar_Info->TarEEValue & EE_SYNC_MASK) ==
+			 EE_SYNC_10MB)
 
+			WRW_HARPOON((port + SYNC_MSGS + 6),
+				    (MPM_OP + AMSG_OUT + 25));
 
-      WRW_HARPOON((port+SYNC_MSGS+8), (RAT_OP                ));
-      WRW_HARPOON((port+SYNC_MSGS+10),(MPM_OP+AMSG_OUT+DEFAULT_OFFSET));
-      WRW_HARPOON((port+SYNC_MSGS+12),(BRH_OP+ALWAYS+NP      ));
+		else if ((currTar_Info->TarEEValue & EE_SYNC_MASK) ==
+			 EE_SYNC_5MB)
 
+			WRW_HARPOON((port + SYNC_MSGS + 6),
+				    (MPM_OP + AMSG_OUT + 50));
 
-		if(syncFlag == 0)
-		{
-		   WR_HARPOON(port+hp_autostart_3, (SELECT+SELCHK_STRT));
-	      currTar_Info->TarStatus = ((currTar_Info->TarStatus &
-   	      ~(unsigned char)TAR_SYNC_MASK) | (unsigned char)SYNC_TRYING);
-		}
 		else
-		{
-		   WR_HARPOON(port+hp_autostart_3, (AUTO_IMMED + CMD_ONLY_STRT));
-		}
-
-
-      return(1);
-      }
-
-   else {
+			WRW_HARPOON((port + SYNC_MSGS + 6),
+				    (MPM_OP + AMSG_OUT + 00));
 
-      currTar_Info->TarStatus |=	 (unsigned char)SYNC_SUPPORTED;
-      currTar_Info->TarEEValue &= ~EE_SYNC_MASK;
-      return(0);
-      }
+		WRW_HARPOON((port + SYNC_MSGS + 8), (RAT_OP));
+		WRW_HARPOON((port + SYNC_MSGS + 10),
+			    (MPM_OP + AMSG_OUT + DEFAULT_OFFSET));
+		WRW_HARPOON((port + SYNC_MSGS + 12), (BRH_OP + ALWAYS + NP));
+
+		if (syncFlag == 0) {
+			WR_HARPOON(port + hp_autostart_3,
+				   (SELECT + SELCHK_STRT));
+			currTar_Info->TarStatus =
+			    ((currTar_Info->
+			      TarStatus & ~(unsigned char)TAR_SYNC_MASK) |
+			     (unsigned char)SYNC_TRYING);
+		} else {
+			WR_HARPOON(port + hp_autostart_3,
+				   (AUTO_IMMED + CMD_ONLY_STRT));
+		}
+
+		return (1);
+	}
+
+	else {
+
+		currTar_Info->TarStatus |= (unsigned char)SYNC_SUPPORTED;
+		currTar_Info->TarEEValue &= ~EE_SYNC_MASK;
+		return (0);
+	}
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_stsyncn
@@ -3441,129 +3240,126 @@ static unsigned char FPT_sisyncn(unsigne
  *---------------------------------------------------------------------*/
 static void FPT_stsyncn(unsigned long port, unsigned char p_card)
 {
-   unsigned char sync_msg,offset,sync_reg,our_sync_msg;
-   struct sccb * currSCCB;
-   struct sccb_mgr_tar_info * currTar_Info;
+	unsigned char sync_msg, offset, sync_reg, our_sync_msg;
+	struct sccb *currSCCB;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
-   currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
+	currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
 
-   sync_msg = FPT_sfm(port,currSCCB);
+	sync_msg = FPT_sfm(port, currSCCB);
 
-	if((sync_msg == 0x00) && (currSCCB->Sccb_scsimsg == SMPARITY))
-	{
-		WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+	if ((sync_msg == 0x00) && (currSCCB->Sccb_scsimsg == SMPARITY)) {
+		WR_HARPOON(port + hp_autostart_1,
+			   (AUTO_IMMED + DISCONNECT_START));
 		return;
 	}
 
-   ACCEPT_MSG(port);
-
+	ACCEPT_MSG(port);
 
-   offset = FPT_sfm(port,currSCCB);
+	offset = FPT_sfm(port, currSCCB);
 
-	if((offset == 0x00) && (currSCCB->Sccb_scsimsg == SMPARITY))
-	{
-		WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+	if ((offset == 0x00) && (currSCCB->Sccb_scsimsg == SMPARITY)) {
+		WR_HARPOON(port + hp_autostart_1,
+			   (AUTO_IMMED + DISCONNECT_START));
 		return;
 	}
 
-   if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_20MB)
+	if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_20MB)
 
-      our_sync_msg = 12;              /* Setup our Message to 20mb/s */
+		our_sync_msg = 12;	/* Setup our Message to 20mb/s */
 
-   else if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_10MB)
+	else if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_10MB)
 
-      our_sync_msg = 25;              /* Setup our Message to 10mb/s */
+		our_sync_msg = 25;	/* Setup our Message to 10mb/s */
 
-   else if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_5MB)
+	else if ((currTar_Info->TarEEValue & EE_SYNC_MASK) == EE_SYNC_5MB)
 
-      our_sync_msg = 50;              /* Setup our Message to 5mb/s */
-   else
-
-      our_sync_msg = 0;               /* Message = Async */
-
-   if (sync_msg < our_sync_msg) {
-      sync_msg = our_sync_msg;    /*if faster, then set to max. */
-      }
-
-   if (offset == ASYNC)
-      sync_msg = ASYNC;
-
-   if (offset > MAX_OFFSET)
-      offset = MAX_OFFSET;
+		our_sync_msg = 50;	/* Setup our Message to 5mb/s */
+	else
 
-   sync_reg = 0x00;
+		our_sync_msg = 0;	/* Message = Async */
 
-   if (sync_msg > 12)
+	if (sync_msg < our_sync_msg) {
+		sync_msg = our_sync_msg;	/*if faster, then set to max. */
+	}
 
-      sync_reg = 0x20;        /* Use 10MB/s */
+	if (offset == ASYNC)
+		sync_msg = ASYNC;
 
-   if (sync_msg > 25)
+	if (offset > MAX_OFFSET)
+		offset = MAX_OFFSET;
 
-      sync_reg = 0x40;        /* Use 6.6MB/s */
+	sync_reg = 0x00;
 
-   if (sync_msg > 38)
+	if (sync_msg > 12)
 
-      sync_reg = 0x60;        /* Use 5MB/s */
+		sync_reg = 0x20;	/* Use 10MB/s */
 
-   if (sync_msg > 50)
+	if (sync_msg > 25)
 
-      sync_reg = 0x80;        /* Use 4MB/s */
+		sync_reg = 0x40;	/* Use 6.6MB/s */
 
-   if (sync_msg > 62)
+	if (sync_msg > 38)
 
-      sync_reg = 0xA0;        /* Use 3.33MB/s */
+		sync_reg = 0x60;	/* Use 5MB/s */
 
-   if (sync_msg > 75)
+	if (sync_msg > 50)
 
-      sync_reg = 0xC0;        /* Use 2.85MB/s */
+		sync_reg = 0x80;	/* Use 4MB/s */
 
-   if (sync_msg > 87)
+	if (sync_msg > 62)
 
-      sync_reg = 0xE0;        /* Use 2.5MB/s */
+		sync_reg = 0xA0;	/* Use 3.33MB/s */
 
-   if (sync_msg > 100) {
+	if (sync_msg > 75)
 
-      sync_reg = 0x00;        /* Use ASYNC */
-      offset = 0x00;
-      }
+		sync_reg = 0xC0;	/* Use 2.85MB/s */
 
+	if (sync_msg > 87)
 
-   if (currTar_Info->TarStatus & WIDE_ENABLED)
+		sync_reg = 0xE0;	/* Use 2.5MB/s */
 
-      sync_reg |= offset;
+	if (sync_msg > 100) {
 
-   else
+		sync_reg = 0x00;	/* Use ASYNC */
+		offset = 0x00;
+	}
 
-      sync_reg |= (offset | NARROW_SCSI);
+	if (currTar_Info->TarStatus & WIDE_ENABLED)
 
-   FPT_sssyncv(port,currSCCB->TargID,sync_reg,currTar_Info);
+		sync_reg |= offset;
 
+	else
 
-   if (currSCCB->Sccb_scsistat == SELECT_SN_ST) {
+		sync_reg |= (offset | NARROW_SCSI);
 
+	FPT_sssyncv(port, currSCCB->TargID, sync_reg, currTar_Info);
 
-      ACCEPT_MSG(port);
+	if (currSCCB->Sccb_scsistat == SELECT_SN_ST) {
 
-      currTar_Info->TarStatus = ((currTar_Info->TarStatus &
-         ~(unsigned char)TAR_SYNC_MASK) | (unsigned char)SYNC_SUPPORTED);
+		ACCEPT_MSG(port);
 
-      WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
-      }
+		currTar_Info->TarStatus = ((currTar_Info->TarStatus &
+					    ~(unsigned char)TAR_SYNC_MASK) |
+					   (unsigned char)SYNC_SUPPORTED);
 
-   else {
+		WR_HARPOON(port + hp_autostart_1,
+			   (AUTO_IMMED + DISCONNECT_START));
+	}
 
+	else {
 
-      ACCEPT_MSG_ATN(port);
+		ACCEPT_MSG_ATN(port);
 
-      FPT_sisyncr(port,sync_msg,offset);
+		FPT_sisyncr(port, sync_msg, offset);
 
-      currTar_Info->TarStatus = ((currTar_Info->TarStatus &
-         ~(unsigned char)TAR_SYNC_MASK) | (unsigned char)SYNC_SUPPORTED);
-      }
+		currTar_Info->TarStatus = ((currTar_Info->TarStatus &
+					    ~(unsigned char)TAR_SYNC_MASK) |
+					   (unsigned char)SYNC_SUPPORTED);
+	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_sisyncr
@@ -3571,28 +3367,28 @@ static void FPT_stsyncn(unsigned long po
  * Description: Answer the targets sync message.
  *
  *---------------------------------------------------------------------*/
-static void FPT_sisyncr(unsigned long port,unsigned char sync_pulse, unsigned char offset)
+static void FPT_sisyncr(unsigned long port, unsigned char sync_pulse,
+			unsigned char offset)
 {
-   ARAM_ACCESS(port);
-   WRW_HARPOON((port+SYNC_MSGS+0), (MPM_OP+AMSG_OUT+SMEXT ));
-   WRW_HARPOON((port+SYNC_MSGS+2), (MPM_OP+AMSG_OUT+0x03  ));
-   WRW_HARPOON((port+SYNC_MSGS+4), (MPM_OP+AMSG_OUT+SMSYNC));
-   WRW_HARPOON((port+SYNC_MSGS+6), (MPM_OP+AMSG_OUT+sync_pulse));
-   WRW_HARPOON((port+SYNC_MSGS+8), (RAT_OP                ));
-   WRW_HARPOON((port+SYNC_MSGS+10),(MPM_OP+AMSG_OUT+offset));
-   WRW_HARPOON((port+SYNC_MSGS+12),(BRH_OP+ALWAYS+NP      ));
-   SGRAM_ACCESS(port);
+	ARAM_ACCESS(port);
+	WRW_HARPOON((port + SYNC_MSGS + 0), (MPM_OP + AMSG_OUT + SMEXT));
+	WRW_HARPOON((port + SYNC_MSGS + 2), (MPM_OP + AMSG_OUT + 0x03));
+	WRW_HARPOON((port + SYNC_MSGS + 4), (MPM_OP + AMSG_OUT + SMSYNC));
+	WRW_HARPOON((port + SYNC_MSGS + 6), (MPM_OP + AMSG_OUT + sync_pulse));
+	WRW_HARPOON((port + SYNC_MSGS + 8), (RAT_OP));
+	WRW_HARPOON((port + SYNC_MSGS + 10), (MPM_OP + AMSG_OUT + offset));
+	WRW_HARPOON((port + SYNC_MSGS + 12), (BRH_OP + ALWAYS + NP));
+	SGRAM_ACCESS(port);
 
-   WR_HARPOON(port+hp_portctrl_0, SCSI_PORT);
-   WRW_HARPOON((port+hp_intstat), CLR_ALL_INT_1);
+	WR_HARPOON(port + hp_portctrl_0, SCSI_PORT);
+	WRW_HARPOON((port + hp_intstat), CLR_ALL_INT_1);
 
-   WR_HARPOON(port+hp_autostart_3, (AUTO_IMMED+CMD_ONLY_STRT));
+	WR_HARPOON(port + hp_autostart_3, (AUTO_IMMED + CMD_ONLY_STRT));
 
-   while (!(RDW_HARPOON((port+hp_intstat)) & (BUS_FREE | AUTO_INT))) {}
+	while (!(RDW_HARPOON((port + hp_intstat)) & (BUS_FREE | AUTO_INT))) {
+	}
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_siwidn
@@ -3604,48 +3400,51 @@ static void FPT_sisyncr(unsigned long po
 
 static unsigned char FPT_siwidn(unsigned long port, unsigned char p_card)
 {
-   struct sccb * currSCCB;
-   struct sccb_mgr_tar_info * currTar_Info;
-
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
-   currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
-
-   if (!((currTar_Info->TarStatus & TAR_WIDE_MASK) == WIDE_NEGOCIATED)) {
+	struct sccb *currSCCB;
+	struct sccb_mgr_tar_info *currTar_Info;
 
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
+	currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
 
-      WRW_HARPOON((port+ID_MSG_STRT),
-	              (MPM_OP+AMSG_OUT+(currSCCB->Sccb_idmsg & ~(unsigned char)DISC_PRIV)));
+	if (!((currTar_Info->TarStatus & TAR_WIDE_MASK) == WIDE_NEGOCIATED)) {
 
-      WRW_HARPOON((port+ID_MSG_STRT+2),BRH_OP+ALWAYS+CMDPZ);
+		WRW_HARPOON((port + ID_MSG_STRT),
+			    (MPM_OP + AMSG_OUT +
+			     (currSCCB->
+			      Sccb_idmsg & ~(unsigned char)DISC_PRIV)));
 
-      WRW_HARPOON((port+SYNC_MSGS+0), (MPM_OP+AMSG_OUT+SMEXT ));
-      WRW_HARPOON((port+SYNC_MSGS+2), (MPM_OP+AMSG_OUT+0x02  ));
-      WRW_HARPOON((port+SYNC_MSGS+4), (MPM_OP+AMSG_OUT+SMWDTR));
-      WRW_HARPOON((port+SYNC_MSGS+6), (RAT_OP                ));
-      WRW_HARPOON((port+SYNC_MSGS+8), (MPM_OP+AMSG_OUT+ SM16BIT));
-      WRW_HARPOON((port+SYNC_MSGS+10),(BRH_OP+ALWAYS+NP      ));
+		WRW_HARPOON((port + ID_MSG_STRT + 2), BRH_OP + ALWAYS + CMDPZ);
 
-      WR_HARPOON(port+hp_autostart_3, (SELECT+SELCHK_STRT));
+		WRW_HARPOON((port + SYNC_MSGS + 0),
+			    (MPM_OP + AMSG_OUT + SMEXT));
+		WRW_HARPOON((port + SYNC_MSGS + 2), (MPM_OP + AMSG_OUT + 0x02));
+		WRW_HARPOON((port + SYNC_MSGS + 4),
+			    (MPM_OP + AMSG_OUT + SMWDTR));
+		WRW_HARPOON((port + SYNC_MSGS + 6), (RAT_OP));
+		WRW_HARPOON((port + SYNC_MSGS + 8),
+			    (MPM_OP + AMSG_OUT + SM16BIT));
+		WRW_HARPOON((port + SYNC_MSGS + 10), (BRH_OP + ALWAYS + NP));
 
+		WR_HARPOON(port + hp_autostart_3, (SELECT + SELCHK_STRT));
 
-      currTar_Info->TarStatus = ((currTar_Info->TarStatus &
-         ~(unsigned char)TAR_WIDE_MASK) | (unsigned char)WIDE_ENABLED);
+		currTar_Info->TarStatus = ((currTar_Info->TarStatus &
+					    ~(unsigned char)TAR_WIDE_MASK) |
+					   (unsigned char)WIDE_ENABLED);
 
-      return(1);
-      }
+		return (1);
+	}
 
-   else {
+	else {
 
-      currTar_Info->TarStatus = ((currTar_Info->TarStatus &
-               ~(unsigned char)TAR_WIDE_MASK) | WIDE_NEGOCIATED);
+		currTar_Info->TarStatus = ((currTar_Info->TarStatus &
+					    ~(unsigned char)TAR_WIDE_MASK) |
+					   WIDE_NEGOCIATED);
 
-      currTar_Info->TarEEValue &= ~EE_WIDE_SCSI;
-      return(0);
-      }
+		currTar_Info->TarEEValue &= ~EE_WIDE_SCSI;
+		return (0);
+	}
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_stwidn
@@ -3656,77 +3455,68 @@ static unsigned char FPT_siwidn(unsigned
  *---------------------------------------------------------------------*/
 static void FPT_stwidn(unsigned long port, unsigned char p_card)
 {
-   unsigned char width;
-   struct sccb * currSCCB;
-   struct sccb_mgr_tar_info * currTar_Info;
+	unsigned char width;
+	struct sccb *currSCCB;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
-   currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
+	currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
 
-   width = FPT_sfm(port,currSCCB);
+	width = FPT_sfm(port, currSCCB);
 
-	if((width == 0x00) && (currSCCB->Sccb_scsimsg == SMPARITY))
-	{
-		WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+	if ((width == 0x00) && (currSCCB->Sccb_scsimsg == SMPARITY)) {
+		WR_HARPOON(port + hp_autostart_1,
+			   (AUTO_IMMED + DISCONNECT_START));
 		return;
 	}
 
+	if (!(currTar_Info->TarEEValue & EE_WIDE_SCSI))
+		width = 0;
 
-   if (!(currTar_Info->TarEEValue & EE_WIDE_SCSI))
-      width = 0;
-
-   if (width) {
-      currTar_Info->TarStatus |= WIDE_ENABLED;
-      width = 0;
-      }
-   else {
-      width = NARROW_SCSI;
-      currTar_Info->TarStatus &= ~WIDE_ENABLED;
-      }
-
-
-   FPT_sssyncv(port,currSCCB->TargID,width,currTar_Info);
-
-
-   if (currSCCB->Sccb_scsistat == SELECT_WN_ST)
-	{
+	if (width) {
+		currTar_Info->TarStatus |= WIDE_ENABLED;
+		width = 0;
+	} else {
+		width = NARROW_SCSI;
+		currTar_Info->TarStatus &= ~WIDE_ENABLED;
+	}
 
+	FPT_sssyncv(port, currSCCB->TargID, width, currTar_Info);
 
+	if (currSCCB->Sccb_scsistat == SELECT_WN_ST) {
 
-      currTar_Info->TarStatus |=	 WIDE_NEGOCIATED;
+		currTar_Info->TarStatus |= WIDE_NEGOCIATED;
 
-	   if (!((currTar_Info->TarStatus & TAR_SYNC_MASK) == SYNC_SUPPORTED))
-		{
-	      ACCEPT_MSG_ATN(port);
-		   ARAM_ACCESS(port);
-	     	FPT_sisyncn(port,p_card, 1);
-	      currSCCB->Sccb_scsistat = SELECT_SN_ST;
-		   SGRAM_ACCESS(port);
-		}
-		else
-		{
-	      ACCEPT_MSG(port);
-  		   WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+		if (!
+		    ((currTar_Info->TarStatus & TAR_SYNC_MASK) ==
+		     SYNC_SUPPORTED)) {
+			ACCEPT_MSG_ATN(port);
+			ARAM_ACCESS(port);
+			FPT_sisyncn(port, p_card, 1);
+			currSCCB->Sccb_scsistat = SELECT_SN_ST;
+			SGRAM_ACCESS(port);
+		} else {
+			ACCEPT_MSG(port);
+			WR_HARPOON(port + hp_autostart_1,
+				   (AUTO_IMMED + DISCONNECT_START));
 		}
-   }
-
-   else {
+	}
 
+	else {
 
-      ACCEPT_MSG_ATN(port);
+		ACCEPT_MSG_ATN(port);
 
-      if (currTar_Info->TarEEValue & EE_WIDE_SCSI)
-      	 width = SM16BIT;
-      else
-      	 width = SM8BIT;
+		if (currTar_Info->TarEEValue & EE_WIDE_SCSI)
+			width = SM16BIT;
+		else
+			width = SM8BIT;
 
-      FPT_siwidr(port,width);
+		FPT_siwidr(port, width);
 
-      currTar_Info->TarStatus |= (WIDE_NEGOCIATED | WIDE_ENABLED);
-      }
+		currTar_Info->TarStatus |= (WIDE_NEGOCIATED | WIDE_ENABLED);
+	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_siwidr
@@ -3736,25 +3526,24 @@ static void FPT_stwidn(unsigned long por
  *---------------------------------------------------------------------*/
 static void FPT_siwidr(unsigned long port, unsigned char width)
 {
-   ARAM_ACCESS(port);
-   WRW_HARPOON((port+SYNC_MSGS+0), (MPM_OP+AMSG_OUT+SMEXT ));
-   WRW_HARPOON((port+SYNC_MSGS+2), (MPM_OP+AMSG_OUT+0x02  ));
-   WRW_HARPOON((port+SYNC_MSGS+4), (MPM_OP+AMSG_OUT+SMWDTR));
-   WRW_HARPOON((port+SYNC_MSGS+6), (RAT_OP                ));
-   WRW_HARPOON((port+SYNC_MSGS+8),(MPM_OP+AMSG_OUT+width));
-   WRW_HARPOON((port+SYNC_MSGS+10),(BRH_OP+ALWAYS+NP      ));
-   SGRAM_ACCESS(port);
+	ARAM_ACCESS(port);
+	WRW_HARPOON((port + SYNC_MSGS + 0), (MPM_OP + AMSG_OUT + SMEXT));
+	WRW_HARPOON((port + SYNC_MSGS + 2), (MPM_OP + AMSG_OUT + 0x02));
+	WRW_HARPOON((port + SYNC_MSGS + 4), (MPM_OP + AMSG_OUT + SMWDTR));
+	WRW_HARPOON((port + SYNC_MSGS + 6), (RAT_OP));
+	WRW_HARPOON((port + SYNC_MSGS + 8), (MPM_OP + AMSG_OUT + width));
+	WRW_HARPOON((port + SYNC_MSGS + 10), (BRH_OP + ALWAYS + NP));
+	SGRAM_ACCESS(port);
 
-   WR_HARPOON(port+hp_portctrl_0, SCSI_PORT);
-   WRW_HARPOON((port+hp_intstat), CLR_ALL_INT_1);
+	WR_HARPOON(port + hp_portctrl_0, SCSI_PORT);
+	WRW_HARPOON((port + hp_intstat), CLR_ALL_INT_1);
 
-   WR_HARPOON(port+hp_autostart_3, (AUTO_IMMED+CMD_ONLY_STRT));
+	WR_HARPOON(port + hp_autostart_3, (AUTO_IMMED + CMD_ONLY_STRT));
 
-   while (!(RDW_HARPOON((port+hp_intstat)) & (BUS_FREE | AUTO_INT))) {}
+	while (!(RDW_HARPOON((port + hp_intstat)) & (BUS_FREE | AUTO_INT))) {
+	}
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_sssyncv
@@ -3763,71 +3552,71 @@ static void FPT_siwidr(unsigned long por
  *              ID specified.
  *
  *---------------------------------------------------------------------*/
-static void FPT_sssyncv(unsigned long p_port, unsigned char p_id, unsigned char p_sync_value,
-			struct sccb_mgr_tar_info * currTar_Info)
-{
-   unsigned char index;
-
-   index = p_id;
-
-   switch (index) {
+static void FPT_sssyncv(unsigned long p_port, unsigned char p_id,
+			unsigned char p_sync_value,
+			struct sccb_mgr_tar_info *currTar_Info)
+{
+	unsigned char index;
+
+	index = p_id;
+
+	switch (index) {
+
+	case 0:
+		index = 12;	/* hp_synctarg_0 */
+		break;
+	case 1:
+		index = 13;	/* hp_synctarg_1 */
+		break;
+	case 2:
+		index = 14;	/* hp_synctarg_2 */
+		break;
+	case 3:
+		index = 15;	/* hp_synctarg_3 */
+		break;
+	case 4:
+		index = 8;	/* hp_synctarg_4 */
+		break;
+	case 5:
+		index = 9;	/* hp_synctarg_5 */
+		break;
+	case 6:
+		index = 10;	/* hp_synctarg_6 */
+		break;
+	case 7:
+		index = 11;	/* hp_synctarg_7 */
+		break;
+	case 8:
+		index = 4;	/* hp_synctarg_8 */
+		break;
+	case 9:
+		index = 5;	/* hp_synctarg_9 */
+		break;
+	case 10:
+		index = 6;	/* hp_synctarg_10 */
+		break;
+	case 11:
+		index = 7;	/* hp_synctarg_11 */
+		break;
+	case 12:
+		index = 0;	/* hp_synctarg_12 */
+		break;
+	case 13:
+		index = 1;	/* hp_synctarg_13 */
+		break;
+	case 14:
+		index = 2;	/* hp_synctarg_14 */
+		break;
+	case 15:
+		index = 3;	/* hp_synctarg_15 */
 
-      case 0:
-	 index = 12;             /* hp_synctarg_0 */
-	 break;
-      case 1:
-	 index = 13;             /* hp_synctarg_1 */
-	 break;
-      case 2:
-	 index = 14;             /* hp_synctarg_2 */
-	 break;
-      case 3:
-	 index = 15;             /* hp_synctarg_3 */
-	 break;
-      case 4:
-	 index = 8;              /* hp_synctarg_4 */
-	 break;
-      case 5:
-	 index = 9;              /* hp_synctarg_5 */
-	 break;
-      case 6:
-	 index = 10;             /* hp_synctarg_6 */
-	 break;
-      case 7:
-	 index = 11;             /* hp_synctarg_7 */
-	 break;
-      case 8:
-	 index = 4;              /* hp_synctarg_8 */
-	 break;
-      case 9:
-	 index = 5;              /* hp_synctarg_9 */
-	 break;
-      case 10:
-	 index = 6;              /* hp_synctarg_10 */
-	 break;
-      case 11:
-	 index = 7;              /* hp_synctarg_11 */
-	 break;
-      case 12:
-	 index = 0;              /* hp_synctarg_12 */
-	 break;
-      case 13:
-	 index = 1;              /* hp_synctarg_13 */
-	 break;
-      case 14:
-	 index = 2;              /* hp_synctarg_14 */
-	 break;
-      case 15:
-	 index = 3;              /* hp_synctarg_15 */
-
-      }
+	}
 
-   WR_HARPOON(p_port+hp_synctarg_base+index, p_sync_value);
+	WR_HARPOON(p_port + hp_synctarg_base + index, p_sync_value);
 
 	currTar_Info->TarSyncCtrl = p_sync_value;
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_sresb
